@import "src/assets/styles/_for-react-components.scss";

$parent: 'custom-form';

@include block($parent) {
  @include element($parent, 'wrapper') {
    @include min-media('t') {
      display: flex;
      margin-bottom: rem(16);
    }

    @include min-media('xxl') {
      display: flex;
      margin-bottom: rem(24);
    }
  }

  @include element($parent, 'fieldset') {
    display: flex;
    flex-direction: column;
    gap: rem(16);

    @include min-media('t') {
      flex-grow: 1;
      flex-direction: row;
    }

    @include min-media('d') {
      gap: rem(24);
    }

    @include min-media('xxl') {
      gap: rem(32);
    }
  }

  @include element($parent, 'field') {
    @include min-media('t') {
      width: calc(50% - #{rem(8)});
    }

    @include min-media('d') {
      width: calc(50% - #{rem(12)});
    }

    @include min-media('xxl') {
      width: calc(50% - #{rem(16)});
    }
  }

  @include element($parent, 'submit-button') {
    width: 100%;
    margin-top: rem(16);
    margin-bottom: rem(16);

    @include min-media('t') {
      width: auto;
      margin: 0;
      align-self: flex-end;
      margin-left: rem(16);
    }

    @include min-media('d') {
      margin-left: rem(24);
    }

    @include min-media('xxl') {
      margin-left: rem(32);
    }
  }

  @include modifier($parent, 'column') {
    display: flex;
    flex-direction: column;
    gap: rem(32);

    @include min-media('t') {
      gap: rem(48);
    }

    @include element($parent, 'wrapper') {
      display: flex;
      flex-direction: column;
      gap: rem(24);
      margin: 0;
    }

    @include element($parent, 'fieldset') {
      flex-direction: column;
      gap: rem(24);

      @include min-media('t') {
        flex-direction: row;
      }

      @include min-media('d') {
        flex-direction: column;
      }
    }

    @include element($parent, 'field') {
      margin-bottom: 0;

      @include min-media('t') {
        width: calc(50% - #{rem(12)});
        display: flex;
        flex-direction: column;
        gap: 4px;
      }

      @include min-media('d') {
        width: 100%;
      }
    }

    @include element($parent, 'submit-button') {
      margin: 0;
      align-self: flex-start;
    }
  }
}
